Subject: Re: CLUSTER sort on abbreviated expressions is broken

From: Thomas Munro <[email-masked]>
Date: Mon, 4 Apr 2022 10:04:04 +1200

On Sun, Apr 3, 2022 at 8:22 PM John Naylor <[email-masked]> wrote:
> On Sun, Apr 3, 2022 at 11:05 AM Thomas Munro <[email-masked]> wrote:
> > Independently of a problem with a recent commit, it seems that
> > $SUBJECT in all releases (well, I only tested as far back as 11).
>
> I can confirm the problem on v10 as well.

Thanks for confirming.  I got as far as seeing that the two calls to
FormIndexDatum() are producing garbage in {l,r}_index_values, in the
loop at the end of comparetup_cluster(), but I'll have to come back to
this after some other stuff.